# GpgFrontend Project: GpgFrontend::UI::FileReadThread Class Reference

GpgFrontend::UI::FileReadThread Class Reference
Inheritance diagram for GpgFrontend::UI::FileReadThread:
Collaboration diagram for GpgFrontend::UI::FileReadThread:

## Signals

void | SignalSendReadBlock (const std::string &block)
void | SignalReadDone ()

## Public Member Functions

| FileReadThread (std::string path)
| Construct a new File Read Thread object. More...

## Protected Member Functions

void | run () override

## Private Attributes

std::string | path_

## Constructor & Destructor Documentation

## FileReadThread()

GpgFrontend::UI::FileReadThread::FileReadThread | ( | std::string | path | ) |

explicit

Construct a new File Read Thread object.

Parameters

  path |

## Member Function Documentation

## SignalSendReadBlock

void GpgFrontend::UI::FileReadThread::SignalSendReadBlock | ( | const std::string & | block | ) |

signal

Parameters

  block |

The documentation for this class was generated from the following files:

- src/ui/thread/FileReadThread.h
- src/ui/thread/FileReadThread.cpp